Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Class

    java.lang.Object
      |
      +--java.lang.Class

public final synchronized class Class
extends Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`static Class` | `forName(String)`
`static Class` | `forName(String, boolean, ClassLoader)`
`Class[]` | `getClasses()`
`ClassLoader` | `getClassLoader()`
`Class` | `getComponentType()`
`java.lang.reflect.Constructor` | `getConstructor(Class[])`
`java.lang.reflect.Constructor[]` | `getConstructors()`
`Class[]` | `getDeclaredClasses()`
`java.lang.reflect.Constructor` | `getDeclaredConstructor(Class[])`
`java.lang.reflect.Constructor[]` | `getDeclaredConstructors()`
`java.lang.reflect.Field` | `getDeclaredField(String)`
`java.lang.reflect.Field[]` | `getDeclaredFields()`
`java.lang.reflect.Method` | `getDeclaredMethod(String, Class[])`
`java.lang.reflect.Method[]` | `getDeclaredMethods()`
`Class` | `getDeclaringClass()`
`java.lang.reflect.Field` | `getField(String)`
`java.lang.reflect.Field[]` | `getFields()`
`Class[]` | `getInterfaces()`
`java.lang.reflect.Method` | `getMethod(String, Class[])`
`java.lang.reflect.Method[]` | `getMethods()`
`int` | `getModifiers()`
`String` | `getName()`
`Package` | `getPackage()`
`ProtectionDomain` | `getProtectionDomain()`
`java.net.URL` | `getResource(String)`
`java.io.InputStream` | `getResourceAsStream(String)`
`Object[]` | `getSigners()`
`Class` | `getSuperclass()`
`boolean` | `isArray()`
`boolean` | `isAssignableFrom(Class)`
`boolean` | `isInstance(Object)`
`boolean` | `isInterface()`
`boolean` | `isPrimitive()`
`Object` | `newInstance()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### forName

    public static Class forName(String)
                         throws ClassNotFoundException

### forName

    public static Class forName(String,
                                boolean,
                                ClassLoader)
                         throws ClassNotFoundException

### getClassLoader

    public ClassLoader getClassLoader()

### getClasses

    public Class[] getClasses()

### getComponentType

    public Class getComponentType()

### getConstructor

    public java.lang.reflect.Constructor getConstructor(Class[])
                                                 throws NoSuchMethodException,
                                                        SecurityException

### getConstructors

    public java.lang.reflect.Constructor[] getConstructors()
                                                    throws SecurityException

### getDeclaredClasses

    public Class[] getDeclaredClasses()
                               throws SecurityException

### getDeclaredConstructor

    public java.lang.reflect.Constructor getDeclaredConstructor(Class[])
                                                         throws NoSuchMethodException,
                                                                SecurityException

### getDeclaredConstructors

    public java.lang.reflect.Constructor[] getDeclaredConstructors()
                                                            throws SecurityException

### getDeclaredField

    public java.lang.reflect.Field getDeclaredField(String)
                                             throws NoSuchFieldException,
                                                    SecurityException

### getDeclaredFields

    public java.lang.reflect.Field[] getDeclaredFields()
                                                throws SecurityException

### getDeclaredMethod

    public java.lang.reflect.Method getDeclaredMethod(String,
                                                      Class[])
                                               throws NoSuchMethodException,
                                                      SecurityException

### getDeclaredMethods

    public java.lang.reflect.Method[] getDeclaredMethods()
                                                  throws SecurityException

### getDeclaringClass

    public Class getDeclaringClass()

### getField

    public java.lang.reflect.Field getField(String)
                                     throws NoSuchFieldException,
                                            SecurityException

### getFields

    public java.lang.reflect.Field[] getFields()
                                        throws SecurityException

### getInterfaces

    public Class[] getInterfaces()

### getMethod

    public java.lang.reflect.Method getMethod(String,
                                              Class[])
                                       throws NoSuchMethodException,
                                              SecurityException

### getMethods

    public java.lang.reflect.Method[] getMethods()
                                          throws SecurityException

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getPackage

    public Package getPackage()

### getProtectionDomain

    public ProtectionDomain getProtectionDomain()

### getResource

    public java.net.URL getResource(String)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(String)

### getSigners

    public Object[] getSigners()

### getSuperclass

    public Class getSuperclass()

### isArray

    public boolean isArray()

### isAssignableFrom

    public boolean isAssignableFrom(Class)

### isInstance

    public boolean isInstance(Object)

### isInterface

    public boolean isInterface()

### isPrimitive

    public boolean isPrimitive()

### newInstance

    public Object newInstance()
                       throws InstantiationException,
                              IllegalAccessException

### toString

    public String toString()

  Overrides:
    toString in class Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.